﻿@{
    Layout = "_AccessDeniedLayout";
}
<style>
    #access-denied-text{
        margin-top: 100px;
    }
</style>
<div id="access-denied-text">
    <h1 class="text-align-center justify-content-center text-danger mt-5">Access Denied</h1>
    <p class="text-align-center justify-content-center text-danger">
        You don't have permission to access this page.
    </p>
    <p class="text-primary text-align-center justify-content-center text-danger">
        Redirecting back in <span id="countdown" class="font-weight-bold">5</span> seconds...
    </p>
</div>

<script>
    var countDown = 4;
    var countdownElement = document.getElementById('countdown');

    var countdownInterval = setInterval(function () {
        countdownElement.textContent = countDown;
        countDown--;

        if (countDown < 0) {
            clearInterval(countdownInterval);
            history.back();
        }
    }, 1000);
</script>